<template>
  <div
    class="server"
    :class="server.status">
    <i class="server-icon" :class="server.icon"></i>
    <ul class="server-details">
      <li>
        <div class="key">Hostname:</div>
        <div class="data">{{ server.name }}</div>
      </li>
      <li>
        <span class="key">Status:</span>
        <span class="data signal">{{ server.status }}</span>
      </li>
      <li>
        <span class="key">Platform:</span>
        <span class="data">{{ server.platform }}</span>
      </li>
      <li>
        <span class="key">OS:</span>
        <span class="data">{{ server.os }}</span>
      </li>
      <li>
        <span class="key">Location:</span>
        <span class="data">{{ server.loc }}</span>
      </li>
    </ul>
  </div>
</template>

<script lang="ts">
import { Component, Prop, Vue } from 'vue-property-decorator';
import { ServerStoreState } from '../types';

@Component
export default class ServerCard extends Vue {
  @Prop() private server!: ServerStoreState;
  @Prop(Number) private index!: number;
}
</script>
